D-Link Forums

The Graveyard - Products No Longer Supported => Routers => DIR-890L => Topic started by: YesThisIs on October 16, 2017, 11:58:43 AM

Title: FW for KRACK (WPA2 vulnerability)
Post by: YesThisIs on October 16, 2017, 11:58:43 AM
Does the update 1.20b01 fix the KRACK vulnerability? If not, is there going to be (fast) patch for this?
Title: Re: FW for KRACK (WPA2 vulnerability)
Post by: FurryNutz on October 16, 2017, 12:00:00 PM
FYI:
http://forums.dlink.com/index.php?topic=56542.0 (http://forums.dlink.com/index.php?topic=56542.0)
Title: Re: FW for KRACK (WPA2 vulnerability)
Post by: FurryNutz on October 16, 2017, 12:10:08 PM
This maybe a exploit of client HW and not router HW...

No the v1.20 version does not cover the WPA2 security issue from what the release notes say.
Title: Re: FW for KRACK (WPA2 vulnerability)
Post by: YesThisIs on October 16, 2017, 02:37:38 PM
Yeah i did check the patch note and it didn't say anything about it...

Most of the "big" router companies (Including Apple,DD-WRT, Netgear, Microsoft, Intel, OpenWRT) has released FW update for this. (Source https://www.windowscentral.com/vendors-who-have-patched-krack-wpa2-wi-fi-vulnerability)

So i am guessing (hoping) that D-Link is also working on this and releasing it ASAP. (If any of D-link routers are affected by this) Because honestly, this is a big deal.

And i reported the issue to the "official" security adviser - aswell, in D-Link's website.
Title: Re: FW for KRACK (WPA2 vulnerability)
Post by: FurryNutz on October 16, 2017, 02:47:16 PM
This maybe mostly a client HW issue and not a router issue.

Review the main linked info here:
http://forums.dlink.com/index.php?topic=56542.0 (http://forums.dlink.com/index.php?topic=56542.0)


D-link has been aware of this issue since Aug 28th...